View Issue Details

IDProjectCategoryView StatusLast Update
0003994GNUnetcadet servicepublic2018-06-07 00:24
ReporterFlorian DoldAssigned ToChristian Grothoff 
PriorityurgentSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003994: External protocol violation detected at gnunet-service-cadet_tunnel.c:3069
DescriptionI got these in a testbed (consensus profiler).

Note that these do NOT come from older peers in the network, I ran the testbed on a machine disabled internet access.

Especially gnunet-service-cadet_tunnel.c:3069 seems strange, it looks like memory corruption, since there should be some kind of message type, but the logs show that the field contains a random value.

Additional InformationSep 28 21:26:42-349633 cadet-12093 WARNING External protocol violation detected at gnunet-service-cadet_tunnel.c:3069.
Sep 28 21:26:42-349688 cadet-tun-12093 WARNING end-to-end message not known (26510)

Sep 28 21:26:43-734565 cadet-12093 WARNING External protocol violation detected at gnunet-service-cadet_tunnel.c:3069.
Sep 28 21:26:43-734622 cadet-tun-12093 WARNING end-to-end message not known (29077)

Sep 28 21:41:18-964662 cadet-p2p-13019 ERROR G3FK: core wait time 1933 ms (> 1 second) for 40 bytes
Sep 28 21:41:19-058350 cadet-13023 WARNING External protocol violation detected at gnunet-service-cadet_channel.c:2006.
Sep 28 21:41:19-070613 cadet-chn-13023 WARNING MID 0 on channel 6DEV:19 gid:40000000 (0 / B0000001) not expected (window: 1 - 64). Dropping!

...
TagsNo tags attached.

Activities

Florian Dold

2015-09-28 22:01

developer   ~0009657

Bart, what does the
  ERROR G3FK: core wait time 1933 ms (> 1 second) for 40 bytes
mean?

Is that some problem with cadet, or is this some timeout that I may need to adjust for larger testbeds?

Christian Grothoff

2015-10-05 18:39

manager   ~0009699

Florian, that's 0003863 diagnostics, likely irrelevant for you.

Bart Polot

2015-10-13 14:56

manager   ~0009721

The gnunet-service-cadet_channel.c:2006 is not a WARNING, was downgraded to INFO in previous commits.

Christian Grothoff

2017-02-21 18:37

manager   ~0011819

No longer relevant after CADET rewrite.

Issue History

Date Modified Username Field Change
2015-09-28 21:59 Florian Dold New Issue
2015-09-28 21:59 Florian Dold Status new => assigned
2015-09-28 21:59 Florian Dold Assigned To => Bart Polot
2015-09-28 22:00 Florian Dold Steps to Reproduce Updated View Revisions
2015-09-28 22:00 Florian Dold Additional Information Updated View Revisions
2015-09-28 22:01 Florian Dold Note Added: 0009657
2015-10-05 18:38 Christian Grothoff Priority normal => urgent
2015-10-05 18:38 Christian Grothoff Target Version => 0.11.0pre66
2015-10-05 18:39 Christian Grothoff Note Added: 0009699
2015-10-13 14:56 Bart Polot Note Added: 0009721
2015-10-13 14:56 Bart Polot Summary External protocol violation detected at gnunet-service-cadet_tunnel.c:3069 / gnunet-service-cadet_channel.c:2006 => External protocol violation detected at gnunet-service-cadet_tunnel.c:3069
2015-10-13 14:56 Bart Polot Status assigned => confirmed
2016-06-01 14:00 Christian Grothoff Status confirmed => resolved
2016-06-01 14:00 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-06-01 14:00 Christian Grothoff Resolution open => fixed
2016-06-01 14:08 Christian Grothoff Status resolved => assigned
2017-02-21 18:37 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-21 18:37 Christian Grothoff Status assigned => resolved
2017-02-21 18:37 Christian Grothoff Note Added: 0011819
2018-06-07 00:24 Christian Grothoff Status resolved => closed